import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaCompanyRealName = (params) => request(`/taCompanyRealName`, { params });

/*
 * 新增数据
 */
export const postTaCompanyRealName = (data) => request('/taCompanyRealName', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaCompanyRealName = (id, data) => request(`/taCompanyRealName/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCompanyRealName = (id) => request(`/taCompanyRealName/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaCompanyRealNameId = (id) => request(`/taCompanyRealName/${id}`);