import React from "react";
import { Layout } from "antd";
import { useModel } from "@/store";
import { useTranslation } from "react-i18next";

const { Footer } = Layout;

const year = new Date().getFullYear();
export default React.forwardRef((props, ref) => {
  // const { app } = useModel("system");
  const { t } = useTranslation();
  const copyRight = `${t("companyName") || "南京云致"} @ ${year}`;

  return (
    <Footer
      ref={ref}
      style={{ textAlign: "center", color: "rgba(0,0,0, 0.3)" }}
    >
      {copyRight}
    </Footer>
  );
});
