import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaCompanyInfo = (params) => request(`/taCompanyInfo`, { params });

/*
 * 新增数据
 */
export const postTaCompanyInfo = (data) => request('/taCompanyInfo', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaCompanyInfo = (id, data) => request(`/taCompanyInfo/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCompanyInfo = (id) => request(`/taCompanyInfo/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaCompanyInfoId = (id) => request(`/taCompanyInfo/${id}`);